#!/usr/bin/python
# -*- coding: utf-8 -*-
import socket
import sys
import smtplib
from email.MIMEMultipart import MIMEMultipart
from email.MIMEText import MIMEText

msg = MIMEMultipart()
msg['From'] = "xxxx@gmail.com"
msg['To'] = "xxxx@gmail.com"
msg['Subject'] = "SEGNALAZIONE EVENTO MYHOME"

gateway_host = "10.0.0.53"
gateway_port = 20000
gateway_addr_port = gateway_host, gateway_port


def monitor():
    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    try:
        sock.connect(gateway_addr_port)
        data = sock.recv(1024)
        if data != "*#*1##":  # expect ACK from gateway
            raise Exception("Did not receive expected ACK, but: " + data)
        sock.send("*99*1##")  # Switch session to MONITOR mode
        data = ""
        while 1:
            next = sock.recv(1024)  # now read data from MyHome BUS
            if next == "":
                break  # EOF
            data = data + next
            eom = data.find("##")

            if eom < 0:
                continue;  # Not a complete message, need more

            if data[0] != "*":
                raise Exception("Message does not start with '*': " + data)

            msg = data[0:eom + 2]  # message is from position 0 until end of ##
            data = data[eom + 2:]  # next message starts after ##

            if msg == "*1*1*28##":
                print ('LUCE STUDIO ACCESA')

                body = 'ANTIFURTO INSERITO'
                msg.attach(MIMEText(body, 'plain'))
                server = smtplib.SMTP('smtp.gmail.com', 587)
                server.starttls()
                server.login("xxxx@gmail.com", "xxxx")
                text = msg.as_string()
                server.sendmail("xxxx@gmail.com", "xxxx@gmail.com", text)
                server.quit()
                print('mail inviata')


            if msg == "*1*0*28##":
                print ("LUCE STUDIO SPENTA")

#            print (msg)

    except:
        sock.close()
        print ("\nConnessione Socket chiusa.")
        sys.exit()


monitor()  # start the monitor
